## irssi-plugin-otr 0.2

=== CMakeLists.txt ===
#
# Off-the-Record Messaging (OTR) module for the irssi IRC client
# Copyright (C) 2008  Uli Meis <a.sporto+bee@gmail.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,USA
#

PROJECT(irssi-otr)

CMAKE_MINIMUM_REQUIRED(VERSION 2.4)
IF(COMMAND cmake_policy)
  cmake_policy(SET CMP0003 NEW)
ENDIF(COMMAND cmake_policy)

SET(CMAKE_MODULE_PATH 
  ${PROJECT_SOURCE_DIR}/cmake-extensions/
  ${PROJECT_BINARY_DIR})

INCLUDE(cmake-extensions/cscope.cmake)
INCLUDE(cmake-extensions/Git.cmake)
INCLUDE(CheckFunctionExists)
INCLUDE(CheckIncludeFile)
INCLUDE(CheckIncludeFiles)
INCLUDE(tarballdefs.cmake OPTIONAL)

# get version from git

IF(NOT IRSSIOTR_VERSION)
  IF(NOT EXISTS "${PROJECT_SOURCE_DIR}/.git")
    MESSAGE(FATAL_ERROR "Cannot determine the irssi-otr version since this is "
    "not a git checkout. Please set IRSSIOTR_VERSION, e.g.
    cmake -DIRSSIOTR_VERSION=mydistro-0.1
    or
    cmake -DIRSSIOTR_VERSION=mydistro-git-<git-commit>")
  ENDIF(NOT EXISTS "${PROJECT_SOURCE_DIR}/.git")
  FIND_GIT_TAGORCOMMIT(${PROJECT_SOURCE_DIR} IRSSIOTR_VERSION)
  IF(NOT IRSSIOTR_VERSION)
    MESSAGE(FATAL_ERROR 
      "Couldn't determine version. Please run cmake -DIRSSIOTR_VERSION=...")
  ENDIF(NOT IRSSIOTR_VERSION)
ENDIF(NOT IRSSIOTR_VERSION)

MESSAGE(STATUS "Building irssi-otr version ${IRSSIOTR_VERSION}")

# PkgConfig. Only available since 2.4.7, fetch if unavailable so people with
# older cmake can run this

FIND_PACKAGE(PkgConfig QUIET)

IF(NOT PKG_CONFIG_FOUND)
  MESSAGE(STATUS "Couldn't find the pkg-config cmake module. Seems you're
  running cmake < 2.4.7. Will try to fetch the module from 2.4.7...")
  FIND_PACKAGE(Wget REQUIRED)
  EXECUTE_PROCESS(COMMAND "bash" "-c"
    "${WGET_EXECUTABLE} '-O' '-' \\
    'http://www.cmake.org/files/v2.4/cmake-2.4.7.tar.gz' | \\
    tar xz cmake-2.4.7/Modules/FindPkgConfig.cmake && \\
    mv cmake-2.4.7/Modules/FindPkgConfig.cmake . && \\
    rmdir -p cmake-2.4.7/Modules"
    RESULT_VARIABLE PKGCONF_RET)
  IF(NOT PKGCONF_RET EQUAL 0)
    MESSAGE(FATAL_ERROR "Couldnt download cmake module for pkg-config")
  ENDIF(NOT PKGCONF_RET EQUAL 0)
  FIND_PACKAGE(PkgConfig REQUIRED)
ENDIF(NOT PKG_CONFIG_FOUND)

# GLIB

pkg_check_modules(GLIB REQUIRED glib-2.0)

# Python

FIND_PACKAGE(PythonInterp)
IF(NOT PYTHON_EXECUTABLE)
  MESSAGE(FATAL_ERROR "Couldn't find a python interpreter")
ENDIF(NOT PYTHON_EXECUTABLE)

# LIBOTR

FIND_PACKAGE(LibOTR REQUIRED)
IF (LIBOTR_VERSION LESS "3.1.0")
  MESSAGE(FATAL_ERROR "Need libotr version >= 3.1.0 (fragmentation)")
ENDIF (LIBOTR_VERSION LESS "3.1.0")

# irssi public headers

FIND_PATH(IRSSI_INCLUDE_DIR NAMES irssi/src/core/module.h)
MARK_AS_ADVANCED(IRSSI_INCLUDE_DIR)

IF(NOT IRSSI_INCLUDE_DIR)
  MESSAGE(FATAL_ERROR "Couldn't find irssi headers, "
    "usually installed in /usr/include/irssi")
ENDIF(NOT IRSSI_INCLUDE_DIR)

# includes

SET(IRSSIOTR_INCLUDE_DIRS
  ${PROJECT_SOURCE_DIR} 
  ${PROJECT_BINARY_DIR} 
  ${GLIB_INCLUDE_DIRS} 
  ${LIBOTR_INCLUDE_DIRS} 
  ${IRSSI_INCLUDE_DIR}/irssi
  ${IRSSI_INCLUDE_DIR}/irssi/src
  ${IRSSI_INCLUDE_DIR}/irssi/src/core
  ${PROJECT_BINARY_DIR}/irssi-private-headers
  ${PROJECT_SOURCE_DIR}/irssi-private-headers)

include_directories(${IRSSIOTR_INCLUDE_DIRS})
SET(CMAKE_REQUIRED_INCLUDES ${IRSSIOTR_INCLUDE_DIRS})
SET(CMAKE_REQUIRED_DEFINITIONS -DHAVE_CONFIG_H)

# gregex.h 
# available since 2.13 AFAIK
# optional for html stripping and nick ignoring

CHECK_INCLUDE_FILE(glib/gregex.h HAVE_GREGEX_H)

# irssi private headers

CHECK_INCLUDE_FILES("glib.h;common.h;fe-text/statusbar.h" HAVE_IRSSIPRIV_H)

# Bad hack

IF (NOT HAVE_IRSSIPRIV_H)
  MESSAGE(STATUS "Need to fetch and patch irssi private headers "
    "mainwindows.h,statusbar.h,term.h from SVN (see irssi FS#535)")
  IF (NOT WGET_EXECUTABLE)
    FIND_PACKAGE(Wget REQUIRED)
  ENDIF (NOT WGET_EXECUTABLE)
  EXECUTE_PROCESS(COMMAND "mkdir" -p irssi-private-headers/fe-text)
  EXECUTE_PROCESS(COMMAND "bash" "-c"
    "${WGET_EXECUTABLE} '--post-data=revision=4806&root=irssi' \\
    'http://svn.irssi.org/cgi-bin/viewvc.cgi/irssi/trunk/src/fe-text/mainwindows.h' \\
    'http://svn.irssi.org/cgi-bin/viewvc.cgi/irssi/trunk/src/fe-text/term.h' \\
    'http://svn.irssi.org/cgi-bin/viewvc.cgi/irssi/trunk/src/fe-text/statusbar.h' || exit 1
    patch -p0 mainwindows.h < \"$0/privheaders.patch\" || exit 1" 
    ${PROJECT_SOURCE_DIR} WORKING_DIRECTORY irssi-private-headers/fe-text
    RESULT_VARIABLE IIPRIV_RET)
  IF(NOT IIPRIV_RET EQUAL 0)
    MESSAGE(FATAL_ERROR "Couldn't check out irssi private headers from SVN")
  ENDIF(NOT IIPRIV_RET EQUAL 0)
  SET(HAVE_IRSSIPRIV_H 1 CACHE INTERNAL "Having irssi priv headers" FORCE)
ENDIF (NOT HAVE_IRSSIPRIV_H)

# check for strsignal

CHECK_FUNCTION_EXISTS(strsignal HAVE_STRSIGNAL)

# generate io-config.h

CONFIGURE_FILE(io-config.h.in io-config.h)

# defs

IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE debug)
ENDIF(NOT CMAKE_BUILD_TYPE)
SET(CMAKE_C_FLAGS_DEBUG -g)

MESSAGE(STATUS "This is a ${CMAKE_BUILD_TYPE} build")

ADD_DEFINITIONS(-DHAVE_CONFIG_H -Wall)

# docdir

IF(NOT DOCDIR)
  SET(DOCDIR share/doc/${CMAKE_PROJECT_NAME})
ENDIF(NOT DOCDIR)

# generate otr-formats.{c,h}

ADD_CUSTOM_COMMAND(OUTPUT ${PROJECT_BINARY_DIR}/otr-formats.c 
  DEPENDS makeformats.py formats.txt README
  COMMAND 
  ${PYTHON_EXECUTABLE}
  ${PROJECT_SOURCE_DIR}/makeformats.py 
  ${PROJECT_SOURCE_DIR}/formats.txt
  ${PROJECT_SOURCE_DIR}/README
  )

# lib

ADD_LIBRARY(otr SHARED otr.c otrutil.c otr_ops.c otr_key.c ui.c ${PROJECT_BINARY_DIR}/otr-formats.c)

TARGET_LINK_LIBRARIES(otr ${GLIB_LIBRARIES} ${LIBOTR_LIBRARIES})

# cscope

FILE(GLOB CSANDHS *.c *.h)
ADD_CSCOPE_TARGET("${CSANDHS}" "${IRSSIOTR_INCLUDE_DIRS}")

# Install / CPack

IF(CMAKE_INSTALL_TYPE MATCHES "package-.*")
  INCLUDE(Packaging.cmake)
ELSEIF(CMAKE_INSTALL_TYPE MATCHES "home")
  INSTALL(TARGETS otr DESTINATION "$ENV{HOME}/.irssi/modules")
ELSE(CMAKE_INSTALL_TYPE MATCHES "package-.*")
  INSTALL(TARGETS otr DESTINATION lib/irssi/modules)
  INSTALL(FILES README LICENSE DESTINATION ${DOCDIR})
ENDIF(CMAKE_INSTALL_TYPE MATCHES "package-.*")

## irssi-plugin-otr 0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -94,15 +94,9 @@
   MESSAGE(FATAL_ERROR "Need libotr version >= 3.1.0 (fragmentation)")
 ENDIF (LIBOTR_VERSION LESS "3.1.0")
 
-# irssi public headers
-
-FIND_PATH(IRSSI_INCLUDE_DIR NAMES irssi/src/core/module.h)
-MARK_AS_ADVANCED(IRSSI_INCLUDE_DIR)
-
-IF(NOT IRSSI_INCLUDE_DIR)
-  MESSAGE(FATAL_ERROR "Couldn't find irssi headers, "
-    "usually installed in /usr/include/irssi")
-ENDIF(NOT IRSSI_INCLUDE_DIR)
+# LIBGCRYPT. A dependency of libotr and therefore one of ours.
+
+FIND_PACKAGE(LibGcrypt REQUIRED)
 
 # includes
 
@@ -110,49 +104,80 @@
   ${PROJECT_SOURCE_DIR} 
   ${PROJECT_BINARY_DIR} 
   ${GLIB_INCLUDE_DIRS} 
-  ${LIBOTR_INCLUDE_DIRS} 
-  ${IRSSI_INCLUDE_DIR}/irssi
-  ${IRSSI_INCLUDE_DIR}/irssi/src
-  ${IRSSI_INCLUDE_DIR}/irssi/src/core
-  ${PROJECT_BINARY_DIR}/irssi-private-headers
-  ${PROJECT_SOURCE_DIR}/irssi-private-headers)
+  ${LIBOTR_INCLUDE_DIRS})
+
+SET(CMAKE_REQUIRED_INCLUDES ${IRSSIOTR_INCLUDE_DIRS})
+SET(CMAKE_REQUIRED_DEFINITIONS -DHAVE_CONFIG_H ${LIBGCRYPT_CFLAGS})
+
+# irssi public headers
+
+FIND_PATH(IRSSI_INCLUDE_DIR NAMES irssi/src/core/module.h)
+MARK_AS_ADVANCED(IRSSI_INCLUDE_DIR)
+
+IF(NOT IRSSI_INCLUDE_DIR)
+  MESSAGE(STATUS "*** no irssi found ***")
+ELSEIF(BUILDFOR AND NOT BUILDFOR STREQUAL "irssi")
+  MESSAGE(STATUS "*** not building for irssi ***")
+ELSE(NOT IRSSI_INCLUDE_DIR)
+  MESSAGE(STATUS "*** building for irssi ***")
+  SET(HAVE_IRSSI 1)
+  SET(IRSSIOTR_INCLUDE_DIRS
+    ${IRSSIOTR_INCLUDE_DIRS}
+    ${IRSSI_INCLUDE_DIR}/irssi
+    ${IRSSI_INCLUDE_DIR}/irssi/src
+    ${IRSSI_INCLUDE_DIR}/irssi/src/core
+    ${PROJECT_BINARY_DIR}/irssi-headers
+    ${PROJECT_SOURCE_DIR}/irssi-headers)
+
+  SET(CMAKE_REQUIRED_INCLUDES ${IRSSIOTR_INCLUDE_DIRS})
+
+  # irssi statusbar header
+
+  CHECK_INCLUDE_FILES("glib.h;common.h;fe-text/statusbar-item.h" HAVE_IRSSISBAR_H)
+
+  # Bad hack
+
+  IF (NOT HAVE_IRSSISBAR_H)
+    MESSAGE(STATUS "Need to fetch irssi header statusbar-item.h (you don't have it yet)")
+    IF (NOT WGET_EXECUTABLE)
+      FIND_PACKAGE(Wget REQUIRED)
+    ENDIF (NOT WGET_EXECUTABLE)
+    EXECUTE_PROCESS(COMMAND "mkdir" -p irssi-headers/fe-text)
+    EXECUTE_PROCESS(COMMAND "bash" "-c"
+      "${WGET_EXECUTABLE} '--post-data=revision=4936&root=irssi' \\
+      'http://svn.irssi.org/cgi-bin/viewvc.cgi/irssi/trunk/src/fe-text/statusbar-item.h' || exit 1"
+      ${PROJECT_SOURCE_DIR} WORKING_DIRECTORY irssi-headers/fe-text
+      RESULT_VARIABLE IISBAR_RET)
+    IF(NOT IISBAR_RET EQUAL 0)
+      MESSAGE(FATAL_ERROR "Couldn't check out irssi headers from SVN")
+    ENDIF(NOT IISBAR_RET EQUAL 0)
+    SET(HAVE_IRSSISBAR_H 1 CACHE INTERNAL "Having irssi headers" FORCE)
+  ENDIF (NOT HAVE_IRSSISBAR_H)
+
+ENDIF(NOT IRSSI_INCLUDE_DIR)
+
+FIND_PATH(XCHAT_INCLUDE_DIR NAMES xchat/xchat-plugin.h)
+MARK_AS_ADVANCED(XCHAT_INCLUDE_DIR)
+
+IF(NOT XCHAT_INCLUDE_DIR)
+  MESSAGE(STATUS "*** no xchat found ***")
+ELSEIF(BUILDFOR AND NOT BUILDFOR STREQUAL "xchat")
+  MESSAGE(STATUS "*** not building for xchat ***")
+ELSE(NOT XCHAT_INCLUDE_DIR)
+  MESSAGE(STATUS "*** building for xchat ***")
+  SET(HAVE_XCHAT 1)
+  SET(IRSSIOTR_INCLUDE_DIRS
+    ${IRSSIOTR_INCLUDE_DIRS}
+    ${XCHAT_INCLUDE_DIR}/xchat)
+ENDIF(NOT XCHAT_INCLUDE_DIR)
 
 include_directories(${IRSSIOTR_INCLUDE_DIRS})
-SET(CMAKE_REQUIRED_INCLUDES ${IRSSIOTR_INCLUDE_DIRS})
-SET(CMAKE_REQUIRED_DEFINITIONS -DHAVE_CONFIG_H)
 
 # gregex.h 
 # available since 2.13 AFAIK
 # optional for html stripping and nick ignoring
 
 CHECK_INCLUDE_FILE(glib/gregex.h HAVE_GREGEX_H)
-
-# irssi private headers
-
-CHECK_INCLUDE_FILES("glib.h;common.h;fe-text/statusbar.h" HAVE_IRSSIPRIV_H)
-
-# Bad hack
-
-IF (NOT HAVE_IRSSIPRIV_H)
-  MESSAGE(STATUS "Need to fetch and patch irssi private headers "
-    "mainwindows.h,statusbar.h,term.h from SVN (see irssi FS#535)")
-  IF (NOT WGET_EXECUTABLE)
-    FIND_PACKAGE(Wget REQUIRED)
-  ENDIF (NOT WGET_EXECUTABLE)
-  EXECUTE_PROCESS(COMMAND "mkdir" -p irssi-private-headers/fe-text)
-  EXECUTE_PROCESS(COMMAND "bash" "-c"
-    "${WGET_EXECUTABLE} '--post-data=revision=4806&root=irssi' \\
-    'http://svn.irssi.org/cgi-bin/viewvc.cgi/irssi/trunk/src/fe-text/mainwindows.h' \\
-    'http://svn.irssi.org/cgi-bin/viewvc.cgi/irssi/trunk/src/fe-text/term.h' \\
-    'http://svn.irssi.org/cgi-bin/viewvc.cgi/irssi/trunk/src/fe-text/statusbar.h' || exit 1
-    patch -p0 mainwindows.h < \"$0/privheaders.patch\" || exit 1" 
-    ${PROJECT_SOURCE_DIR} WORKING_DIRECTORY irssi-private-headers/fe-text
-    RESULT_VARIABLE IIPRIV_RET)
-  IF(NOT IIPRIV_RET EQUAL 0)
-    MESSAGE(FATAL_ERROR "Couldn't check out irssi private headers from SVN")
-  ENDIF(NOT IIPRIV_RET EQUAL 0)
-  SET(HAVE_IRSSIPRIV_H 1 CACHE INTERNAL "Having irssi priv headers" FORCE)
-ENDIF (NOT HAVE_IRSSIPRIV_H)
 
 # check for strsignal
 
@@ -171,7 +196,7 @@
 
 MESSAGE(STATUS "This is a ${CMAKE_BUILD_TYPE} build")
 
-ADD_DEFINITIONS(-DHAVE_CONFIG_H -Wall)
+ADD_DEFINITIONS(-DHAVE_CONFIG_H -Wall ${LIBGCRYPT_CFLAGS})
 
 # docdir
 
@@ -181,7 +206,9 @@
 
 # generate otr-formats.{c,h}
 
-ADD_CUSTOM_COMMAND(OUTPUT ${PROJECT_BINARY_DIR}/otr-formats.c 
+ADD_CUSTOM_COMMAND(OUTPUT 
+  ${PROJECT_BINARY_DIR}/otr-formats.c 
+  ${PROJECT_BINARY_DIR}/xchat-formats.c 
   DEPENDS makeformats.py formats.txt README
   COMMAND 
   ${PYTHON_EXECUTABLE}
@@ -192,9 +219,39 @@
 
 # lib
 
-ADD_LIBRARY(otr SHARED otr.c otrutil.c otr_ops.c otr_key.c ui.c ${PROJECT_BINARY_DIR}/otr-formats.c)
-
-TARGET_LINK_LIBRARIES(otr ${GLIB_LIBRARIES} ${LIBOTR_LIBRARIES})
+# Now that took some time to figure out...
+
+IF(APPLE)
+  SET(APPLE_LDFLAGS "-single_module -undefined dynamic_lookup")
+ENDIF(APPLE)
+
+FOREACH(X ${LIBGCRYPT_LDFLAGS} ${GLIB_LDFLAGS} ${APPLE_LDFLAGS})
+  SET(MAIN_LDFLAGS "${MAIN_LDFLAGS} ${X}")
+ENDFOREACH(X ${LIBGCRYPT_LDFLAGS} ${GLIB_LDFLAGS} ${APPLE_LDFLAGS})
+
+IF(HAVE_IRSSI)
+  ADD_LIBRARY(irssiotr SHARED irssi_otr.c otr_util.c otr_ops.c otr_key.c ${PROJECT_BINARY_DIR}/otr-formats.c)
+  TARGET_LINK_LIBRARIES(irssiotr ${GLIB_LIBRARIES} ${LIBOTR_LIBRARIES})
+  SET_TARGET_PROPERTIES(irssiotr PROPERTIES 
+    COMPILE_FLAGS -DTARGET_IRSSI
+    OUTPUT_NAME "otr"
+    LINK_FLAGS "${MAIN_LDFLAGS}")
+  IF(APPLE)
+    SET_TARGET_PROPERTIES(irssiotr PROPERTIES SUFFIX ".so")
+  ENDIF(APPLE)
+ENDIF(HAVE_IRSSI)
+
+IF(HAVE_XCHAT)
+  ADD_LIBRARY(xchatotr SHARED xchat_otr.c otr_util.c otr_ops.c otr_key.c ${PROJECT_BINARY_DIR}/xchat-formats.c)
+  TARGET_LINK_LIBRARIES(xchatotr ${GLIB_LIBRARIES} ${LIBOTR_LIBRARIES})
+  SET_TARGET_PROPERTIES(xchatotr PROPERTIES 
+    COMPILE_FLAGS -DTARGET_XCHAT
+    OUTPUT_NAME "xchatotr"
+    LINK_FLAGS "${MAIN_LDFLAGS}")
+  IF(APPLE)
+    SET_TARGET_PROPERTIES(xchatotr PROPERTIES SUFFIX ".so")
+  ENDIF(APPLE)
+ENDIF(HAVE_XCHAT)
 
 # cscope
 
@@ -206,8 +263,18 @@
 IF(CMAKE_INSTALL_TYPE MATCHES "package-.*")
   INCLUDE(Packaging.cmake)
 ELSEIF(CMAKE_INSTALL_TYPE MATCHES "home")
-  INSTALL(TARGETS otr DESTINATION "$ENV{HOME}/.irssi/modules")
+  INSTALL(TARGETS irssiotr DESTINATION "$ENV{HOME}/.irssi/modules")
 ELSE(CMAKE_INSTALL_TYPE MATCHES "package-.*")
-  INSTALL(TARGETS otr DESTINATION lib/irssi/modules)
+  IF(HAVE_IRSSI)
+    INSTALL(TARGETS irssiotr DESTINATION lib${LIB_SUFFIX}/irssi/modules)
+  ENDIF(HAVE_IRSSI)
+  IF(HAVE_XCHAT)
+    INSTALL(TARGETS xchatotr DESTINATION lib${LIB_SUFFIX}/xchat/plugins)
+  ENDIF(HAVE_XCHAT)
   INSTALL(FILES README LICENSE DESTINATION ${DOCDIR})
 ENDIF(CMAKE_INSTALL_TYPE MATCHES "package-.*")
+
+# Source tarball
+ADD_CUSTOM_TARGET(src-tarball 
+  ${PROJECT_SOURCE_DIR}/mksrcpackage.sh ${PROJECT_SOURCE_DIR} 
+  ${IRSSIOTR_VERSION})

## irssi-plugin-otr 1.0.0~alpha2

=== debian/changelog ===
irssi-plugin-otr (1.0.0~alpha2-1) unstable; urgency=low

  * Ship a second binary package, with debugging symbols.
  * New upstream patch: gmodule-nolink.patch to remove extra linking.
  * Upload to unstable now that libotr5 is usable there.
  * Restore the libotr5-4.0.0-2.1 dependency to make sure this is usuable.

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 10 May 2013 19:43:24 -0400

irssi-plugin-otr (1.0.0~alpha2-1~exp0) experimental; urgency=low

  * New upstream release.
  * Remove destdir_support.patch, accepted upstream.
  * Remove python build dependency.
  * Use dh-autoreconf instead of manual bootstrap code.
  * Add missing dependencies.
  * Upload to experimental (Closes: #695150, #569506, #576696, #499229).
  * Add myself to maintainers.
  * Change dependency on libotr5 so we don't have to wait for the
    experimental release to build. We still upload to experimental to
    avoid shipping a broken version in sid. Once libotr5-4.0.0-2.1 hits
    unstable, this can be uploaded to unstable too.

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 10 May 2013 09:07:12 -0400

irssi-plugin-otr (1.0.0~alpha1-0.1) experimental; urgency=low

  * Non-maintainer upload.
  * Upload the revamped version to experimental (Closes: #695150).
    * Remove support for xchat.
    * Fix information leak in /me (Closes: #569506)
    * Fix numerous segfaults (Closes: #576696, #499229)
    * Remove patch/01_remove_buildfor_variable.patch - irrelevant
  * Change control and copyright files to mention new upstream.
  * Remove old copyright notices refering to missing code.
  * Update to standards 3.9.4.

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 08 May 2013 22:09:00 -0400

irssi-plugin-otr (0.3-2) unstable; urgency=low

  * Rebuild. Irssi patch for Debian Bug 531357 broke old irssi-otr. Fixed
    by rebuilding against 0.8.14. (Closes: #533655)
  * debian/control: Depend on irssi >= 0.8.14.
  

 -- David Spreen <netzwurm@debian.org>  Sun, 09 Aug 2009 00:45:00 -0700

irssi-plugin-otr (0.3-1) unstable; urgency=low

  * New upstream release.
  * First upload to unstable after 0.2. Introduces xchat-otr
    to unstable.

 -- David Spreen <netzwurm@debian.org>  Mon, 16 Feb 2009 16:33:28 -0800

irssi-plugin-otr (0.2+20090206-1) experimental; urgency=low

  * New git snapshot.
  * debian/patches/01_fix_irssisbar_h.patch: Removed (fixed upstream).
  * debian/patches/02_remove_irssi_reference_from_keygen.patch:
    Removed (patch adopted by upstream).
  * debian/patches/01_remove_buildfor_variable.patch: Added patch
    to keep building xchat and irssi targets from the same source.

 -- David Spreen <netzwurm@debian.org>  Fri, 06 Feb 2009 10:11:16 -0800

irssi-plugin-otr (0.2+20090128-1) experimental; urgency=low

  * New git snapshot now with X-Chat support!
  * debian/control: Added X-Chat binary package including
    build-dependency on xchat-common.
  * debian/rules: Manually installing README.xchat
  * debian/*.install: Added install files for irssi and 
    xchat plugin packages.
  * debian/patch/01_fix_irssisbar_h.patch: Fixed check 
    for local copy of irssi statusbar headers.
  * debian/patch/02_remove_irssi_reference_from_keygen.patch:
    Removed irssi reference from keygen message.

 -- David Spreen <netzwurm@debian.org>  Thu, 29 Jan 2009 13:28:22 -0800

irssi-plugin-otr (0.2+20090119-1) experimental; urgency=low

  * New git snapshot. (Closes: #498502, 498401)
  * debian/rules: Changed build-system to cdbs.
  * debian/control: Added cdbs build-dependency.

 -- David Spreen <netzwurm@debian.org>  Mon, 19 Jan 2009 14:07:25 -0800

irssi-plugin-otr (0.2-2) unstable; urgency=low

  * Added debian/watch file.

 -- David Spreen <netzwurm@debian.org>  Fri, 22 Aug 2008 09:57:50 -0700

irssi-plugin-otr (0.2-1) unstable; urgency=low

  * New upstream release.

 -- David Spreen <netzwurm@debian.org>  Mon, 14 Jul 2008 08:50:59 -0700

irssi-plugin-otr (0.1-3) unstable; urgency=low

  * The 'Okay-Okay-I-Am-Using-Pbuilder-Already' release.
  * CMakeLists.txt: Removed dependency on wget. Reported upstream. 
    (Closes: #490021).
  * Added new website address to control file/copyright file.

 -- David Spreen <netzwurm@debian.org>  Thu, 10 Jul 2008 16:13:01 -0700

irssi-plugin-otr (0.1-2) unstable; urgency=low

  * debian/control: Added build-time dependency on python and pkg-config. 
    (Closes: #489680).
  * debian/copyright: Added proper copyright for the irssi headers that
    are used to build the package.
  * debian/control: Changed standards version to 3.8.0.1.

 -- David Spreen <netzwurm@debian.org>  Mon, 07 Jul 2008 11:52:52 -0700

irssi-plugin-otr (0.1-1) unstable; urgency=low

  * Initial release (Closes: #486156)
  * CMakeLists.txt: Removed version number from /usr/share/doc/irssi-plugin-otr
    (This has been reported to upstream and should be fixed in 0.2).

 -- David Spreen <netzwurm@debian.org>  Tue, 01 Jul 2008 14:29:48 -0700

=== debian/control ===
Source: irssi-plugin-otr
Section: net
Priority: optional
Maintainer: David Spreen <netzwurm@debian.org>
Uploaders: Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               pkg-config,
               libotr5-dev (>= 4.0.0-2.1),
               irssi-dev (>= 0.8.14),
               libglib2.0-dev (>= 2.13.0)
Standards-Version: 3.9.4
Homepage: https://github.com/cryptodotis/irssi-otr

Package: irssi-plugin-otr
Architecture: any
Depends: irssi (>= 0.8.14),
         ${shlibs:Depends},
         ${misc:Depends}
Enhances: irssi
Description: Off-the-Record Messaging Plugin for Irssi
 Off-the-Record (OTR) Messaging Plugin for the Irssi Chat Client
 .
 This plugin adds Off-the-Record messaging support for the irssi IRC client.
 Although primarily designed for use with the bitlbee IRC2IM gateway, it works
 within any query window, provided that the conversation partner's IRC client
 supports OTR.
 .
 OTR allows you to have private conversations over IM by providing:
  - Encryption
    - No one else can read your instant messages.
  - Authentication
    - You are assured the correspondent is who you think it is.
  - Deniability
    - The messages you send do _not_ have digital signatures that are
      checkable by a third party.  Anyone can forge messages after a
      conversation to make them look like they came from you.  However,
      _during_ a conversation, your correspondent is assured the messages
      he sees are authentic and unmodified.
  - Perfect forward secrecy
    - If you lose control of your private keys, no previous conversation
      is compromised.

Package: irssi-plugin-otr-dbg
Architecture: any
Section: debug
Priority: extra
Depends: irssi-plugin-otr (= ${binary:Version}),
         ${misc:Depends}
Description: Off-the-Record Messaging Plugin for Irssi - debugging symbols
 Off-the-Record (OTR) Messaging Plugin for the Irssi Chat Client
 .
 This plugin adds Off-the-Record messaging support for the irssi IRC client.
 Although primarily designed for use with the bitlbee IRC2IM gateway, it works
 within any query window, provided that the conversation partner's IRC client
 supports OTR.
 .
 This package features debugging symbols for the plugin.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_install:
	dh_auto_install --destdir=debian/irssi-plugin-otr

override_dh_strip:
	dh_strip --dbg-package=irssi-plugin-otr-dbg

=== debian/watch ===
version=3
https://github.com/cryptodotis/irssi-otr/tags .*/v?(\d+\.([[a-z]-\d\.]+))\.tar\.gz

## irssi-plugin-otr 1.0.0

=== debian/changelog ===
irssi-plugin-otr (1.0.0-1) unstable; urgency=medium

  * Put the package under the umbrella of the Debian OTR Team.  Huge
    thanks to David Spreen <netzwurm@debian.org> for having maintained
    this package for many years! (Closes: #738930).
  * Package new 1.0.0 upstream version (Closes: #739106).
    * Get rid of patch merged upstream (gmodule-nolink.patch).
  * Update to standards 3.9.5, no change.
  * Use upstream tags to build tarball.
  * Ship updated watch file.
  * Keep build verbose to remove W-compiler-flags-hidden warnings.

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 22 Feb 2014 11:21:23 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: irssi-plugin-otr
 Section: net
 Priority: optional
-Maintainer: David Spreen <netzwurm@debian.org>
+Maintainer: Debian OTR Team <pkg-otr-team@lists.alioth.debian.org>
 Uploaders: Antoine Beaupré <anarcat@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
@@ -9,8 +9,10 @@
                libotr5-dev (>= 4.0.0-2.1),
                irssi-dev (>= 0.8.14),
                libglib2.0-dev (>= 2.13.0)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://github.com/cryptodotis/irssi-otr
+Vcs-Git: git://git.debian.org/pkg-otr/packages/irssi-plugin-otr.git
+Vcs-Browser: http://git.debian.org/?p=pkg-otr/packages/irssi-plugin-otr.git;a=summary
 
 Package: irssi-plugin-otr
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 %:
 	dh $@ --with autoreconf
+
+override_dh_auto_configure:
+	dh_auto_configure -- --disable-silent-rules
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/irssi-plugin-otr

## irssi-plugin-otr 1.0.1+f75eb26

=== debian/changelog ===
irssi-plugin-otr (1.0.1+f75eb26-1) unstable; urgency=medium

  * New upstream snapshot, required to fix ABI problems with irssi 1.18
    (Closes: #818590)
  * Remove prefix patch, merged upstream

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 25 Mar 2016 14:31:27 -0400

irssi-plugin-otr (1.0.1-1) unstable; urgency=medium

  * New upstream release (Closes: #819011)
  * New patch: respect $PREFIX to fix multiarch installs (Closes: #817172)
  * Use upstream's tarball by prefering bz2 compression

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 22 Mar 2016 16:22:49 -0400

=== debian/control ===
Source: irssi-plugin-otr
Section: net
Priority: optional
Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
Uploaders: Antoine Beaupré <anarcat@debian.org>,
           Holger Levsen <holger@debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               pkg-config,
               libotr5-dev (>= 4.0.0-2.1),
               irssi-dev (>= 0.8.14),
               libglib2.0-dev (>= 2.13.0)
Standards-Version: 3.9.5
Homepage: https://github.com/cryptodotis/irssi-otr
Vcs-Git: https://anonscm.debian.org/git/pkg-privacy/packages/irssi-plugin-otr.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-privacy/packages/irssi-plugin-otr.git

Package: irssi-plugin-otr
Architecture: any
Depends: irssi (>= 0.8.14),
         ${shlibs:Depends},
         ${misc:Depends}
Enhances: irssi
Description: Off-The-Record messaging plugin for Irssi
 This plugin adds Off-The-Record (OTR) messaging support to the Irssi IRC
 client. Although primarily designed for use with the BitlBee IRC2IM
 gateway, it works within any query window, provided that your
 conversation partner's IRC client supports OTR.
 .
 OTR allows you to have private conversations over IM by providing:
  * Encryption - no one else can read your instant messages.
  * Authentication - you are assured the correspondent is who you think
    it is.
  * Deniability - the messages you send do _not_ have digital signatures
    that are checkable by a third party. Anyone can forge messages after
    a conversation to make them look like they came from you. However,
    _during_ a conversation, correspondents are assured the messages
    they see are authentic and unmodified.
  * Forward secrecy - if you lose control of your private keys,
    no previous conversation is compromised.

Package: irssi-plugin-otr-dbg
Architecture: any
Section: debug
Priority: extra
Depends: irssi-plugin-otr (= ${binary:Version}),
         ${misc:Depends}
Description: Off-The-Record messaging plugin for Irssi - debugging symbols
 This plugin adds Off-The-Record (OTR) messaging support to the Irssi IRC
 client. Although primarily designed for use with the BitlBee IRC2IM
 gateway, it works within any query window, provided that your
 conversation partner's IRC client supports OTR.
 .
 This package features debugging symbols for the plugin.

## irssi-plugin-otr 1.0.2

=== debian/changelog ===
irssi-plugin-otr (1.0.2-2) unstable; urgency=medium

  * Bump Standards-Version to 4.1.1, no changes needed.
  * Bump debian/compat to 10, build-depend on debhelper >= 10.2.5~, remove
    build-dependency on dh-autoreconf and remove "--with autoreconf" from dh
    call in debian/rules as this done by debhelper in compat 10 automatically.
  * Drop stretch specific code in debian/rules to call dh_strip with
    --dbgsym-migration.
  * Set irssi-plugin-otr to Multi-Arch: same, thanks to the Multiarch hinter!
  * Remove version from dependency on libglib2.0-dev as that version was even
    satisfied in oldoldstable.

 -- Holger Levsen <holger@debian.org>  Sat, 30 Sep 2017 02:41:25 +0200

irssi-plugin-otr (1.0.2-1) unstable; urgency=medium

  * new upstream release
  * update to latest policy, no change
  * ship upstream README file
  * bump irssi dependency to 0.8.20 to make sure we have a compilation
    time ABI check
  * migrate to auto dbgsym

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 15 Dec 2016 12:17:27 -0500

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,20 @@
 Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
 Uploaders: Antoine Beaupré <anarcat@debian.org>,
            Holger Levsen <holger@debian.org>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 10.2.5~),
                pkg-config,
                libotr5-dev (>= 4.0.0-2.1),
-               irssi-dev (>= 0.8.14),
-               libglib2.0-dev (>= 2.13.0)
-Standards-Version: 3.9.5
+               irssi-dev (>= 0.8.20-1~),
+               libglib2.0-dev
+Standards-Version: 4.1.1
 Homepage: https://github.com/cryptodotis/irssi-otr
 Vcs-Git: https://anonscm.debian.org/git/pkg-privacy/packages/irssi-plugin-otr.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-privacy/packages/irssi-plugin-otr.git
 
 Package: irssi-plugin-otr
 Architecture: any
-Depends: irssi (>= 0.8.14),
+Multi-Arch: same
+Depends: irssi (>= 0.8.20-1~),
          ${shlibs:Depends},
          ${misc:Depends}
 Enhances: irssi
@@ -38,17 +38,3 @@
     they see are authentic and unmodified.
   * Forward secrecy - if you lose control of your private keys,
     no previous conversation is compromised.
-
-Package: irssi-plugin-otr-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends: irssi-plugin-otr (= ${binary:Version}),
-         ${misc:Depends}
-Description: Off-The-Record messaging plugin for Irssi - debugging symbols
- This plugin adds Off-The-Record (OTR) messaging support to the Irssi IRC
- client. Although primarily designed for use with the BitlBee IRC2IM
- gateway, it works within any query window, provided that your
- conversation partner's IRC client supports OTR.
- .
- This package features debugging symbols for the plugin.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules

override_dh_auto_install:
	dh_auto_install --destdir=debian/irssi-plugin-otr

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[\.\+\-_]?(beta|Beta|alpha|dev)/$1~$2/ \
https://github.com/cryptodotis/irssi-otr/tags \
.*/archive/(?:upstream/)?(?:v||version-|release-|X|R|r)(\d\S*)\.tar\.gz
